PHP Manual
Prev | Chapter 3. Installation | Next

# Complete list of configure options

> Note: These are only used at compile time. If you want to alter PHP's runtime configuration, please see the chapter on Configuration.

The following is a complete list of options supported by PHP 4 `configure` scripts (as of 4.1.0), used when compiling in Unix-like environments. Some are available in PHP 3, some in PHP 4, and some in both. This is not noted yet.

There are general configuration options for the configure script, consult the appropriate manual pages for GNU autoconf or use the command configure --help for a full, up-to-date list.

- Database

- Graphics

- Miscellaneous

- PHP Behaviour

- Server

## Configure Options in PHP 4

> Note: These options are only used in PHP 4 as of PHP 4.1.0. Some are available in older versions of PHP 4, some even in PHP 3, some only in PHP 4.1.0. If you want to compile an older version, some options will probably not be available.

### Database options

`--with-dbplus`

  Include dbplus support.

`--with-adabas[=DIR]`

  Include Adabas D support. DIR is the Adabas base install directory, defaults to /usr/local.

`--with-sapdb[=DIR]`

  Include SAP DB support. DIR is SAP DB base install directory, defaults to /usr/local.

`--with-solid[=DIR]`

  Include Solid support. DIR is the Solid base install directory, defaults to /usr/local/solid.

`--with-ibm-db2[=DIR]`

  Include IBM DB2 support. DIR is the DB2 base install directory, defaults to /home/db2inst1/sqllib.

`--with-empress[=DIR]`

  Include Empress support. DIR is the Empress base install directory, defaults to $EMPRESSPATH. From PHP4, this option only supports Empress Version 8.60 and above.

`--with-empress-bcs[=DIR]`

  Include Empress Local Access support. DIR is the Empress base install directory, defaults to $EMPRESSPATH. From PHP4, this option only supports Empress Version 8.60 and above.

`--with-birdstep[=DIR]`

  Include Birdstep support. DIR is the Birdstep base install directory, defaults to /usr/local/birdstep.

`--with-custom-odbc[=DIR]`

  Include a user defined ODBC support. The DIR is ODBC install base directory, which defaults to /usr/local. Make sure to define CUSTOM_ODBC_LIBS and have some odbc.h in your include dirs. E.g., you should define following for Sybase SQL Anywhere 5.5.00 on QNX, prior to run configure script: CPPFLAGS="-DODBC_QNX -DSQLANY_BUG" LDFLAGS=-lunix CUSTOM_ODBC_LIBS="-ldblib -lodbc".

`--with-iodbc[=DIR]`

  Include iODBC support. DIR is the iODBC base install directory, defaults to /usr/local.

`--with-esoob[=DIR]`

  Include Easysoft OOB support. DIR is the OOB base install directory, defaults to /usr/local/easysoft/oob/client.

`--with-unixODBC[=DIR]`

  Include unixODBC support. DIR is the unixODBC base install directory, defaults to /usr/local.

`--with-openlink[=DIR]`

  Include OpenLink ODBC support. DIR is the OpenLink base install directory, defaults to /usr/local. This is the same as iODBC.

`--with-dbmaker[=DIR]`

  Include DBMaker support. DIR is the DBMaker base install directory, defaults to where the latest version of DBMaker is installed (such as /home/dbmaker/3.6).

`--disable-unified-odbc`

  Disable unified ODBC support. Only applicable if iODBC, Adabas, Solid, Velocis or a custom ODBC interface is enabled. PHP 3 only!

### Graphics options

`--without-gd`

  Disable GD support. PHP 3 only!

`--with-imagick`

  The imagick extension has been moved to PECL in PEAR and can be found here. Install instructions for PHP 4 can be found on the PEAR site.

  Simply doing `--with-imagick` is only supported in PHP 3 unless you follow the instructions found on the PEAR site.

`--with-ming[=DIR]`

  Include ming support.

### Misc options

`--enable-force-cgi-redirect`

  Enable the security check for internal server redirects. You should use this if you are running the CGI version with Apache.

`--enable-discard-path`

  If this is enabled, the PHP CGI binary can safely be placed outside of the web tree and people will not be able to circumvent .htaccess security.

`--with-fastcgi=SRCDIR`

  Build PHP as FastCGI application.

`--enable-debug`

  Compile with debugging symbols.

`--with-layout=TYPE`

  Sets how installed files will be laid out. Type is one of PHP (default) or GNU.

`--with-pear=DIR`

  Install PEAR in DIR (default PREFIX/lib/php).

`--without-pear`

  Do not install PEAR.

`--enable-sigchild`

  Enable PHP's own SIGCHLD handler.

`--disable-rpath`

  Disable passing additional runtime library search paths.

`--enable-libgcc`

  Enable explicitly linking against libgcc.

`--enable-php-streams`

  Include experimental php streams. Do not use unless you are testing the code!

`--with-zlib-dir=<DIR>`

  Define the location of zlib install directory.

`--with-aspell[=DIR]`

  Include ASPELL support.

`--with-ccvs[=DIR]`

  Include CCVS support.

`--with-cybercash[=DIR]`

  Include CyberCash support. DIR is the CyberCash MCK install directory.

`--with-icap[=DIR]`

  Include ICAP support.

`--with-ircg-config`

  Path to the ircg-config script.

`--with-ircg`

  Include ircg support.

`--enable-mailparse`

  Enable mailparse support.

`--with-muscat[=DIR]`

  Include muscat support.

`--with-satellite[=DIR]`

  Enable CORBA support via Satellite (EXPERIMENTAL) DIR is the base directory for ORBit.

`--enable-trans-sid`

  Enable transparent session id propagation.

`--with-system-regex`

  Use system regex library (deprecated).

`--with-vpopmail[=DIR]`

  Include vpopmail support.

`--with-tsrm-pthreads`

  Use POSIX threads (default).

`--enable-shared[=PKGS]`

  Build shared libraries [default=yes].

`--enable-static[=PKGS]`

  Build static libraries [default=yes].

`--enable-fast-install[=PKGS]`

  Optimize for fast installation [default=yes].

`--with-gnu-ld`

  Assume the C compiler uses GNU ld [default=no].

`--disable-libtool-lock`

  Avoid locking (might break parallel builds).

`--with-pic`

  Try to use only PIC/non-PIC objects [default=use both].

`--enable-memory-limit`

  Compile with memory limit support.

`--disable-url-fopen-wrapper`

  Disable the URL-aware fopen wrapper that allows accessing files via HTTP or FTP.

`--enable-versioning`

  Export only required symbols. See INSTALL for more information.

`--with-imsp[=DIR]`

  Include IMSp support (DIR is IMSP's include dir and libimsp.a dir). PHP 3 only!

`--with-mck[=DIR]`

  Include Cybercash MCK support. DIR is the cybercash mck build directory, defaults to /usr/src/mck-3.2.0.3-linux for help look in extra/cyberlib. PHP 3 only!

`--with-mod-dav=DIR`

  Include DAV support through Apache's mod_dav, DIR is mod_dav's installation directory (Apache module version only!) PHP 3 only!

`--enable-debugger`

  Compile with remote debugging functions. PHP 3 only!

`--enable-versioning`

  Take advantage of versioning and scoping provided by Solaris 2.x and Linux. PHP 3 only!

### PHP options

`--enable-maintainer-mode`

  Enable make rules and dependencies not useful (and sometimes confusing) to the casual installer.

`--with-config-file-path=PATH`

  Sets the path in which to look for `php.ini`, defaults to PREFIX/lib.

`--enable-safe-mode`

  Enable safe mode by default.

`--with-exec-dir[=DIR]`

  Only allow executables in DIR when in safe mode defaults to /usr/local/php/bin.

`--enable-magic-quotes`

  Enable magic quotes by default.

`--disable-short-tags`

  Disable the short-form <? start tag by default.

### Server options

`--with-aolserver=DIR`

  Specify path to the installed AOLserver.

`--with-apxs[=FILE]`

  Build shared Apache module. FILE is the optional pathname to the Apache apxs tool; defaults to apxs. Make sure you specify the version of apxs that is actually installed on your system and NOT the one that is in the apache source tarball.

`--with-apache[=DIR]`

  Build Apache module. DIR is the top-level Apache build directory, defaults to /usr/local/apache.

`--with-mod_charset`

  Enable transfer tables for mod_charset (Rus Apache).

`--with-apxs2[=FILE]`

  Build shared Apache 2.0 module. FILE is the optional pathname to the Apache apxs tool; defaults to apxs.

`--with-fhttpd[=DIR]`

  Build fhttpd module. DIR is the fhttpd sources directory, defaults to /usr/local/src/fhttpd.

`--with-isapi=DIR`

  Build PHP as an ISAPI module for use with Zeus.

`--with-nsapi=DIR`

  Specify path to the installed Netscape Server.

`--with-phttpd=DIR`

  No information yet.

`--with-pi3web=DIR`

  Build PHP as a module for use with Pi3Web.

`--with-roxen=DIR`

  Build PHP as a Pike module. DIR is the base Roxen directory, normally /usr/local/roxen/server.

`--enable-roxen-zts`

  Build the Roxen module using Zend Thread Safety.

`--with-servlet[=DIR]`

  Include servlet support. DIR is the base install directory for the JSDK. This SAPI prereqs the java extension must be built as a shared dl.

`--with-thttpd=SRCDIR`

  Build PHP as thttpd module.

`--with-tux=MODULEDIR`

  Build PHP as a TUX module (Linux only).

Prev | Home | Next
Problems? | Up | Configuration